--The interrupt detection trigger
--COMBAT_LOG_EVENT_UNFILTERED
function(...)
	local subevent = select(3, ...)
	if subevent == "SPELL_INTERRUPT" then
		local playerName = select(6, ...)
		local targetName = select(10, ...)
		local spellName = select(14, ...)
		local interruptedSpellName = select(17, ...)
		if playerName == UnitName("player") and targetName == "Belac" and interruptedSpellName == "Phangs of Guilt" then
			local msg = aura_env.messages["Interrupted"]
			local msg = aura_env.encode(msg)
			SendChatMessage(msg, "RAID")
			aura_env.currentInterrupt = aura_env.currentInterrupt + 1
			aura_env.interruptTime = GetTime() + aura_env.interruptCD
		end
	end
end